aboutsummaryrefslogtreecommitdiff
path: root/devel/otrs/files
diff options
context:
space:
mode:
authorSergey Skvortsov <skv@FreeBSD.org>2006-07-05 17:15:24 +0000
committerSergey Skvortsov <skv@FreeBSD.org>2006-07-05 17:15:24 +0000
commitafe2b6c1ae46bb362ba4537fde2c7560867e4ee5 (patch)
treed165aaba6d6b9ff893d2566e8e44e4f380e1a08c /devel/otrs/files
parent8ae1496a8713e81efa8c1bb5cb03fde858115067 (diff)
downloadports-afe2b6c1ae46bb362ba4537fde2c7560867e4ee5.tar.gz
ports-afe2b6c1ae46bb362ba4537fde2c7560867e4ee5.zip
Notes
Diffstat (limited to 'devel/otrs/files')
-rw-r--r--devel/otrs/files/patch-scripts::apache2-httpd-new.include.conf10
-rw-r--r--devel/otrs/files/pkg-install.in40
-rw-r--r--devel/otrs/files/pkg-message.in11
3 files changed, 61 insertions, 0 deletions
diff --git a/devel/otrs/files/patch-scripts::apache2-httpd-new.include.conf b/devel/otrs/files/patch-scripts::apache2-httpd-new.include.conf
new file mode 100644
index 000000000000..f76632c3cb4c
--- /dev/null
+++ b/devel/otrs/files/patch-scripts::apache2-httpd-new.include.conf
@@ -0,0 +1,10 @@
+--- scripts/apache2-httpd-new.include.conf.orig Wed Jul 5 20:43:47 2006
++++ scripts/apache2-httpd-new.include.conf Wed Jul 5 20:44:21 2006
+@@ -32,6 +32,7 @@
+ <Directory "/opt/otrs/bin/cgi-bin/">
+ AllowOverride None
+ Options +ExecCGI -Includes
++ DirectoryIndex index.pl
+ Order allow,deny
+ Allow from all
+ </Directory>
diff --git a/devel/otrs/files/pkg-install.in b/devel/otrs/files/pkg-install.in
new file mode 100644
index 000000000000..37c6b84c94f6
--- /dev/null
+++ b/devel/otrs/files/pkg-install.in
@@ -0,0 +1,40 @@
+#!/bin/sh
+# $FreeBSD$
+
+PATH=/bin:/usr/bin:/usr/sbin
+
+WWWOWN="www"
+WWWGRP="www"
+OTRS_USER="otrs"
+OTRS_GROUP="otrs"
+
+case $2 in
+PRE-INSTALL)
+
+ if ! pw groupshow -n ${OTRS_GROUP} >/dev/null 2>&1; then
+ if pw groupadd -n ${OTRS_GROUP}; then
+ echo "Added group \"${OTRS_GROUP}\"."
+ else
+ echo "Adding group \"${OTRS_GROUP}\" failed..."
+ exit 1
+ fi
+ fi
+
+ if ! id -u ${OTRS_USER} >/dev/null 2>&1; then
+ if pw useradd -n ${OTRS_USER} -g ${OTRS_GROUP} \
+ -G ${WWWGRP} -h - -s /bin/csh \
+ -d ${PKG_PREFIX}/otrs -c "OTRS Administrator" ; then
+ echo "Added user \"${OTRS_USER}\"."
+ else
+ echo "Adding user \"${OTRS_USER}\" failed..."
+ exit 1
+ fi
+ fi
+;;
+
+POST-INSTALL)
+ ${PKG_PREFIX}/otrs/bin/SetPermissions.sh ${PKG_PREFIX}/otrs \
+ ${OTRS_USER} ${WWWOWN} ${OTRS_GROUP} ${WWWGRP}
+;;
+
+esac
diff --git a/devel/otrs/files/pkg-message.in b/devel/otrs/files/pkg-message.in
new file mode 100644
index 000000000000..72f16cb35b7e
--- /dev/null
+++ b/devel/otrs/files/pkg-message.in
@@ -0,0 +1,11 @@
+==========================================================================
+OTRS is now installed.
+
+The rest of installation must be completed manually.
+
+Please read
+
+http://doc.otrs.org/2.0/en/html/x357.html#webserver-configuration
+
+and follow instructions.
+==========================================================================